SeExpr

Public Types | Public Member Functions | Public Attributes | List of all members
GenericCurveEditable< TVAL > Struct Template Reference

`#include <Editable.h>`

Inheritance diagram for GenericCurveEditable< TVAL >:

## Public Types
typedef SeExpr2::Curve< TVAL > | Curve
typedef SeExpr2::Curve< TVAL >::CV | CV
typedef Curve::InterpType | InterpType

## Public Member Functions
| GenericCurveEditable (const std::string &name, int startPos, int endPos)
void | add (double x, const TVAL &y, int interp)
bool | parseComment (const std::string &)
| parses a comment. if false is returned then delete the control from the editable More...
std::string | str () const
void | appendString (std::stringstream &stream) const
virtual bool | controlsMatch (const Editable &other) const
Public Member Functions inherited from Editable
| Editable (const std::string &name, int startPos, int endPos)
void | updatePositions (const Editable &other)
virtual | ~Editable ()

## Public Attributes
std::vector< CV > | cvs
Public Attributes inherited from Editable
std::string | name
int | startPos
int | endPos

## Detailed Description

### template<class TVAL>
struct GenericCurveEditable< TVAL >

Definition at line 170 of file Editable.h.

## Member Typedef Documentation

## ◆ Curve

template<class TVAL >

typedef SeExpr2::Curve<TVAL> GenericCurveEditable< TVAL >::Curve

Definition at line 171 of file Editable.h.

## ◆ CV

template<class TVAL >

typedef SeExpr2::Curve<TVAL>::CV GenericCurveEditable< TVAL >::CV

Definition at line 172 of file Editable.h.

## ◆ InterpType

template<class TVAL >

typedef Curve::InterpType GenericCurveEditable< TVAL >::InterpType

Definition at line 173 of file Editable.h.

## Constructor & Destructor Documentation

## ◆ GenericCurveEditable()

template<class TVAL >

GenericCurveEditable< TVAL >::GenericCurveEditable | ( | const std::string & | name,
|  | int | startPos,
|  | int | endPos
| ) |  |
| inline

Definition at line 176 of file Editable.h.

## Member Function Documentation

## ◆ add()

template<class TVAL >

void GenericCurveEditable< TVAL >::add | ( | double | x,
|  | const TVAL & | y,
|  | int | interp
| ) |  |
| inline

Definition at line 178 of file Editable.h.

References GenericCurveEditable< TVAL >::cvs, x, and y.

## ◆ appendString()

template<class TVAL >

void GenericCurveEditable< TVAL >::appendString | ( | std::stringstream & | stream | ) | const
| inline virtual

Implements Editable.

Definition at line 189 of file Editable.h.

References SeExpr2::Curve< T >::CV::_interp, SeExpr2::Curve< T >::CV::_pos, SeExpr2::Curve< T >::CV::_val, GenericCurveEditable< TVAL >::cvs, and printVal().

## ◆ controlsMatch()

template<class TVAL >

virtual bool GenericCurveEditable< TVAL >::controlsMatch | ( | const Editable & | other | ) | const
| inline virtual

Implements Editable.

Definition at line 198 of file Editable.h.

References UNUSED.

## ◆ parseComment()

template<class TVAL >

bool GenericCurveEditable< TVAL >::parseComment | ( | const std::string & | comment | ) |
| inline virtual

parses a comment. if false is returned then delete the control from the editable

Implements Editable.

Definition at line 180 of file Editable.h.

## ◆ str()

template<class TVAL >

std::string GenericCurveEditable< TVAL >::str | ( |  | ) | const
| inline virtual

Reimplemented from Editable.

Definition at line 181 of file Editable.h.

References Editable::name.

## Member Data Documentation

## ◆ cvs

template<class TVAL >

std::vector<CV> GenericCurveEditable< TVAL >::cvs

Definition at line 175 of file Editable.h.

Referenced by GenericCurveEditable< TVAL >::add(), GenericCurveEditable< TVAL >::appendString(), CCurveControl::CCurveControl(), CurveControl::curveChanged(), CCurveControl::curveChanged(), and CurveControl::CurveControl().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/Editable.h